package com.example.leudaemialikeme.Model;

import java.io.Serializable;
import java.sql.Timestamp;

public class Question implements Serializable {
    private static final long serialVersionUID = 1L;
    private int qid;
    private int uid;
    private String qtittle;
    private String qcontent;
    private Timestamp qtime;
    private int qfollowNum;
    private int qanswerNum;
    private int qbrowseNum;
    private int flag;

    public Question() {

    }
    public Question(int qid, int uid, String qtittle, String qcontent, Timestamp timestamp, int qfollowNum, int qanswerNum,
                    int qbrowseNum, int flag) {
        super();
        this.qid = qid;
        this.uid = uid;
        this.qtittle = qtittle;
        this.qcontent = qcontent;
        this.qtime = timestamp;
        this.qfollowNum = qfollowNum;
        this.qanswerNum = qanswerNum;
        this.qbrowseNum = qbrowseNum;
        this.flag = flag;
    }
    public int getQid() {
        return qid;
    }
    public void setQid(int qid) {
        this.qid = qid;
    }
    public int getUid() {
        return uid;
    }
    public void setUid(int uid) {
        this.uid = uid;
    }
    public String getQtittle() {
        return qtittle;
    }
    public void setQtittle(String qtittle) {
        this.qtittle = qtittle;
    }
    public String getQcontent() {
        return qcontent;
    }
    public void setQcontent(String qcontent) {
        this.qcontent = qcontent;
    }
    public Timestamp getQtime() {
        return qtime;
    }
    public void setQtime(Timestamp qtime) {
        this.qtime = qtime;
    }
    public int getQfollowNum() {
        return qfollowNum;
    }
    public void setQfollowNum(int qfollowNum) {
        this.qfollowNum = qfollowNum;
    }
    public int getQanswerNum() {
        return qanswerNum;
    }
    public void setQanswerNum(int qanswerNum) {
        this.qanswerNum = qanswerNum;
    }
    public int getQbrowseNum() {
        return qbrowseNum;
    }
    public void setQbrowseNum(int qbrowseNum) {
        this.qbrowseNum = qbrowseNum;
    }
    public int getFlag() {
        return flag;
    }
    public void setFlag(int flag) {
        this.flag = flag;
    }

}
